Get the tasks of a project, page by page. Synchronization tools use this route. A vendor gets only the tasks assigned to them. A client gets reduced tasks.
Query parameters
-
Page to get
-
Number of rows in a page, or in a request of a cursor walk
-
Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit
-
Get only the tasks of this task type
-
Get only the tasks of this episode
GET
/data/projects/{project_id}/tasks
curl
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/tasks?page=1&task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&episode_id=a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/tasks"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"page": 1,
"task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"episode_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
{
"data": [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "SH010 Animation",
"task_type_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"task_status_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"entity_id": "d24a6ea4-ce75-4665-a070-57453082c250",
"project_id": "e24a6ea4-ce75-4665-a070-57453082c250",
"assignees": [
"f24a6ea4-ce75-4665-a070-57453082c250"
]
}
],
"limit": 100,
"page": 1,
"total": 42,
"nb_pages": 42,
"offset": 42
}